#!/bin/sh

if [ "$1" = "isdntool" ]; then
  LOOKFOR=tixwish
else
  LOOKFOR=wish
fi
WISH=
IFS=:
for i in $PATH; do
	if [ -x $i/$LOOKFOR ]; then
		WISH="$i/$LOOKFOR"
	fi
done
IFS=' '

while [ ".${WISH}" = "." ]; do
	echo -n "Enter full path of $LOOKFOR : "
	read WISH
done

if [ "`$WISH -f doinst.tcl`" = "1" ]; then
	cat $1.tcl | sed -e s@_WISH_@$WISH@ > $1
	chmod a+x $1
else
	echo "UNABLE TO FIND WISH OR WRONG VERSION, isdnmon NOT INSTALLED"
	exit 1
fi
